Index: docs/topics/auth.txt
===================================================================
--- docs/topics/auth.txt	(revision 9295)
+++ docs/topics/auth.txt	(working copy)
@@ -320,8 +320,7 @@
 used to perform a one-way hash of the password. Salt is a random string used
 to salt the raw password to create the hash. Note that the ``crypt`` method is
 only supported on platforms that have the standard Python ``crypt`` module
-available, and ``crypt`` support is only available in the Django development
-version.
+available.
 
 For example::
 
@@ -626,7 +625,6 @@
         def my_view(request):
             # ...
 
-    In the Django development version,
     :func:`~django.contrib.auth.decorators.login_required` also takes an
     optional ``redirect_field_name`` parameter. Example::
 
@@ -687,10 +685,10 @@
           a query string, too.
 
         * ``site_name``: The name of the current
-          :class:`~django.contrib.sites.models.Site``, according to the
-          :setting:`SITE_ID` setting. If you're using the Django development version
-          and you don't have the site framework installed, this will be set to the
-          value of ``request.META['SERVER_NAME']``. For more on sites, see 
+          :class:`~django.contrib.sites.models.Site``, according to
+          the :setting:`SITE_ID` setting.  If you don't have the site
+          framework installed, this will be set to the value of
+          ``request.META['SERVER_NAME']``. For more on sites, see
           :ref:`ref-contrib-sites`.
 
     If you'd prefer not to call the template :file:`registration/login.html`,
Index: docs/topics/cache.txt
===================================================================
--- docs/topics/cache.txt	(revision 9295)
+++ docs/topics/cache.txt	(working copy)
@@ -72,9 +72,7 @@
 following modules:
 
     * The fastest available option is a module called ``cmemcache``, available
-      at http://gijsbert.org/cmemcache/ . (This module is only compatible with
-      the Django development version. Django 0.96 is only compatible with the
-      second option, below.)
+      at http://gijsbert.org/cmemcache/.
 
     * If you can't install ``cmemcache``, you can install ``python-memcached``,
       available at ftp://ftp.tummy.com/pub/python-memcached/ . If that URL is
Index: docs/topics/forms/modelforms.txt
===================================================================
--- docs/topics/forms/modelforms.txt	(revision 9295)
+++ docs/topics/forms/modelforms.txt	(working copy)
@@ -77,10 +77,6 @@
     ===============================  ========================================
 
 
-.. note::
-    The ``FloatField`` form field and ``DecimalField`` model and form fields
-    are new in the development version.
-
 As you might expect, the ``ForeignKey`` and ``ManyToManyField`` model field
 types are special cases:
 
Index: docs/topics/testing.txt
===================================================================
--- docs/topics/testing.txt	(revision 9295)
+++ docs/topics/testing.txt	(working copy)
@@ -186,12 +186,12 @@
 ``unittest.TestCase``) in ``models.py`` and ``tests.py``, automatically build a
 test suite out of those test cases, and run that suite.
 
-In the Django development version, there is a second way to define the test
-suite for a module: if you define a function called ``suite()`` in either
-``models.py`` or ``tests.py``, the Django test runner will use that function
-to construct the test suite for that module. This follows the `suggested
-organization`_ for unit tests. See the Python documentation for more details on
-how to construct a complex test suite.
+There is also a second way to define the test suite for a module: if
+you define a function called ``suite()`` in either ``models.py`` or
+``tests.py``, the Django test runner will use that function to
+construct the test suite for that module. This follows the `suggested
+organization`_ for unit tests. See the Python documentation for more
+details on how to construct a complex test suite.
 
 For more details about ``unittest``, see the `standard library unittest
 documentation`_.
Index: docs/topics/i18n.txt
===================================================================
--- docs/topics/i18n.txt	(revision 9295)
+++ docs/topics/i18n.txt	(working copy)
@@ -804,8 +804,7 @@
 parameter set in request. If session support is enabled, the view
 saves the language choice in the user's session. Otherwise, it saves the
 language choice in a cookie that is by default named ``django_language``.
-(The name can be changed through the ``LANGUAGE_COOKIE_NAME`` setting if you're
-using the Django development version.)
+(The name can be changed through the ``LANGUAGE_COOKIE_NAME`` setting.)
 
 After setting the language choice, Django redirects the user, following this
 algorithm:
Index: docs/faq/admin.txt
===================================================================
--- docs/faq/admin.txt	(revision 9295)
+++ docs/faq/admin.txt	(working copy)
@@ -94,10 +94,3 @@
 like to make should be possible by editing the stylesheet. We've got a
 :ref:`guide to the CSS used in the admin <obsolete-admin-css>` to get you started.
 
-How do I create users without having to edit password hashes?
--------------------------------------------------------------
-
-If you'd like to use the admin site to create users, upgrade to the Django
-development version, where this problem was fixed on Aug. 4, 2006.
-
-You can also use the Python API. See :ref:`creating users <topics-auth-creating-users>` for full info.
Index: docs/ref/contrib/syndication.txt
===================================================================
--- docs/ref/contrib/syndication.txt	(revision 9295)
+++ docs/ref/contrib/syndication.txt	(working copy)
@@ -36,12 +36,6 @@
 Initialization
 --------------
 
-If you're not using the latest Django development version, you'll need to make
-sure Django's sites framework is installed -- including its database table. (See
-the :mod:`sites framework documentation <django.contrib.sites>` for more
-information.) This has changed in the Django development version; the
-syndication feed framework no longer requires the sites framework.
-
 To activate syndication feeds on your Django site, add this line to your
 :ref:`URLconf <topics-http-urls>`::
 
@@ -150,14 +144,15 @@
          * ``{{ obj }}`` -- The current object (one of whichever objects you
            returned in :meth:`items()`).
          
-         * ``{{ site }}`` -- A :class:`django.contrib.sites.models.Site` object
-           representing the current site. This is useful for ``{{ site.domain
-           }}`` or ``{{ site.name }}``. Note that if you're using the latest
-           Django development version and do *not* have the Django sites
+         * ``{{ site }}`` -- A
+           :class:`django.contrib.sites.models.Site` object
+           representing the current site. This is useful for ``{{
+           site.domain }}`` or ``{{ site.name }}``. Note that if
+           you're using the latest do *not* have the Django sites
            framework installed, this will be set to a
-           :class:`django.contrib.sites.models.RequestSite` object. See the
-           :ref:`RequestSite section of the sites framework documentation
-           <requestsite-objects>` for more.
+           :class:`django.contrib.sites.models.RequestSite`
+           object. See the :ref:`RequestSite section of the sites
+           framework documentation <requestsite-objects>` for more.
 
       If you don't create a template for either the title or description, the
       framework will use the template ``"{{ obj }}"`` by default -- that is, the
Index: docs/ref/models/querysets.txt
===================================================================
--- docs/ref/models/querysets.txt	(revision 9295)
+++ docs/ref/models/querysets.txt	(working copy)
@@ -958,12 +958,6 @@
     SELECT ... WHERE id = 14;
     SELECT ... WHERE id IS NULL;
 
-.. versionchanged:: 1.0
-   The semantics of ``id__exact=None`` have
-   changed in the development version. Previously, it was (intentionally)
-   converted to ``WHERE id = NULL`` at the SQL level, which would never match
-   anything. It has now been changed to behave the same as ``id__isnull=True``.
-
 .. admonition:: MySQL comparisons
 
     In MySQL, a database table's "collation" setting determines whether
Index: docs/ref/models/fields.txt
===================================================================
--- docs/ref/models/fields.txt	(revision 9295)
+++ docs/ref/models/fields.txt	(working copy)
@@ -413,11 +413,6 @@
 
 A :class:`CharField` that checks that the value is a valid e-mail address.
 
-In Django 0.96, this doesn't accept :attr:`~CharField.max_length`; its
-:class:`~CharField.max_length` is automatically set to 75. In the Django
-development version, :class:`~CharField.max_length` is set to 75 by default, but
-you can specify it to override default behavior.
-
 ``FileField``
 -------------
 
@@ -577,11 +572,6 @@
 
 The admin represents this as an ``<input type="text">`` (a single-line input).
 
-**NOTE:** The semantics of :class:`FloatField` have changed in the Django
-development version. See the `Django 0.96 documentation`_ for the old behavior.
-
-.. _Django 0.96 documentation: http://www.djangoproject.com/documentation/0.96/model-api/#floatfield
-
 ``ImageField``
 --------------
 
Index: docs/ref/forms/fields.txt
===================================================================
--- docs/ref/forms/fields.txt	(revision 9295)
+++ docs/ref/forms/fields.txt	(working copy)
@@ -315,10 +315,6 @@
       the field has ``required=True``.
     * Error message keys: ``required``
 
-.. versionchanged:: 1.0
-   The empty value for a ``CheckboxInput`` (and hence the standard ``BooleanField``)
-   has changed to return ``False`` instead of ``None`` in the development version.
-
 .. note::
 
     Since all ``Field`` subclasses have ``required=True`` by default, the
Index: docs/ref/django-admin.txt
===================================================================
--- docs/ref/django-admin.txt	(revision 9295)
+++ docs/ref/django-admin.txt	(working copy)
@@ -51,12 +51,9 @@
 
 .. django-admin-option:: --help
 
-In Django 0.96, run ``django-admin.py --help`` to display a help message that
-includes a terse list of all available subcommands and options.
-
-In the Django development version, run ``django-admin.py help`` to display a
-list of all available subcommands. Run ``django-admin.py help <subcommand>``
-to display a description of the given subcommand and a list of its available
+Run ``django-admin.py help`` to display a list of all available
+subcommands. Run ``django-admin.py help <subcommand>`` to display a
+description of the given subcommand and a list of its available
 options.
 
 App names
@@ -246,13 +243,6 @@
 post-synchronization handlers will be re-executed, and the ``initial_data``
 fixture will be re-installed.
 
-The behavior of this command has changed in the Django development version.
-Previously, this command cleared *every* table in the database, including any
-table that Django didn't know about (i.e., tables that didn't have associated
-models and/or weren't in ``INSTALLED_APPS``). Now, the command only clears
-tables that are represented by Django models and are activated in
-``INSTALLED_APPS``.
-
 .. django-admin-option:: --noinput
 
     Use the ``--noinput`` option to suppress all user prompting, such as "Are
Index: docs/ref/settings.txt
===================================================================
--- docs/ref/settings.txt	(revision 9295)
+++ docs/ref/settings.txt	(working copy)
@@ -151,15 +151,15 @@
 
 Default: ``''`` (Empty string)
 
-The database backend to use. The build-in database backends are
+The database backend to use. The built-in database backends are
 ``'postgresql_psycopg2'``, ``'postgresql'``, ``'mysql'``, ``'sqlite3'``, and
 ``'oracle'``.
 
-In the Django development version, you can use a database backend that doesn't
-ship with Django by setting ``DATABASE_ENGINE`` to a fully-qualified path (i.e.
-``mypackage.backends.whatever``). Writing a whole new database backend from
-scratch is left as an exercise to the reader; see the other backends for
-examples.
+You can also use a database backend that doesn't ship with Django by
+setting ``DATABASE_ENGINE`` to a fully-qualified path (i.e.
+``mypackage.backends.whatever``). Writing a whole new database backend
+from scratch is left as an exercise to the reader; see the other
+backends for examples.
 
 .. setting:: DATABASE_HOST
 